OmwAIOmwAI
API GuideAPI ReferenceProgramming Tools
Kling Video

Query Result

Query the status and result of a video generation task.

GET
/kling/v1/videos/text2video/{task_id}

Authorization

BearerAuth

AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

任务 ID

Response Body

application/json

application/json

curl -X GET "https://loading/kling/v1/videos/text2video/string"
{
  "code": 0,
  "message": "string",
  "request_id": "string",
  "data": {
    "task_id": "abcd1234efgh",
    "task_status": "succeed",
    "task_status_msg": "string",
    "created_at": 0,
    "updated_at": 0,
    "task_result": {
      "videos": [
        {
          "id": "string",
          "url": "string",
          "duration": 0
        }
      ]
    },
    "final_unit_deduction": 0
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
GET
/kling/v1/videos/image2video/{task_id}

Authorization

BearerAuth

AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

任务 ID

Response Body

application/json

application/json

curl -X GET "https://loading/kling/v1/videos/image2video/string"
{
  "code": 0,
  "message": "string",
  "request_id": "string",
  "data": {
    "task_id": "abcd1234efgh",
    "task_status": "succeed",
    "task_status_msg": "string",
    "created_at": 0,
    "updated_at": 0,
    "task_result": {
      "videos": [
        {
          "id": "string",
          "url": "string",
          "duration": 0
        }
      ]
    },
    "final_unit_deduction": 0
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

How is this guide?

Last updated on